Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Web Flow
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.webflow.execution
Class FlowExecutionException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.springframework.webflow.core.FlowException
                      org.springframework.webflow.execution.FlowExecutionException

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  ActionExecutionException, EnterStateVetoException, FlowAttributeMappingException, NoMatchingTransitionException, ViewRenderingException

    public class FlowExecutionException

extends FlowException

Base class for exceptions that occur within a flow while it is executing. Can be used directly, but you are encouraged to create a specific subclass for a particular use case.

Execution exceptions occur at runtime when the flow is executing requests on behalf of a client. They signal that an execution problem occurred: e.g. action execution failed or no transition matched the current request context.

Author:
  Keith Donald, Erwin Vervaet
See Also:
  Serialized Form

Constructor Summary
`FlowExecutionException(java.lang.String flowId, java.lang.String stateId, java.lang.String message)` Creates a new flow execution exception.
`FlowExecutionException(java.lang.String flowId, java.lang.String stateId, java.lang.String message, java.lang.Throwable cause)` Creates a new flow execution exception.

Method Summary
`java.lang.String` | `getFlowId()` Returns the id of the flow definition that was executing when this exception occured.
`java.lang.String` | `getStateId()` Returns the id of the state definition where the exception occured.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FlowExecutionException

    public FlowExecutionException(java.lang.String flowId,
                                  java.lang.String stateId,
                                  java.lang.String message)

  Creates a new flow execution exception.

  Parameters:
    `flowId` - the flow where the exception occurred
    `stateId` - the state where the exception occurred
    `message` - a descriptive message

### FlowExecutionException

    public FlowExecutionException(java.lang.String flowId,
                                  java.lang.String stateId,
                                  java.lang.String message,
                                  java.lang.Throwable cause)

  Creates a new flow execution exception.

  Parameters:
    `flowId` - the flow where the exception occured
    `stateId` - the state where the exception occured
    `message` - a descriptive message
    `cause` - the root cause

Method Detail

### getFlowId

    public java.lang.String getFlowId()

  Returns the id of the flow definition that was executing when this exception occured.

### getStateId

    public java.lang.String getStateId()

  Returns the id of the state definition where the exception occured. Could be null if no state was active at the time when the exception was thrown.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Web Flow
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD